libnl: Links

libnl 3.12.0

Links
Command Line Interface API

## Functions
struct rtnl_link * | nl_cli_link_alloc (void)
struct nl_cache * | nl_cli_link_alloc_cache_family_flags (struct nl_sock *sock, int family, unsigned int flags)
struct nl_cache * | nl_cli_link_alloc_cache_family (struct nl_sock *sock, int family)
struct nl_cache * | nl_cli_link_alloc_cache (struct nl_sock *sock)
struct nl_cache * | nl_cli_link_alloc_cache_flags (struct nl_sock *sock, unsigned int flags)
void | nl_cli_link_parse_family (struct rtnl_link *link, char *arg)
void | nl_cli_link_parse_name (struct rtnl_link *link, char *arg)
void | nl_cli_link_parse_mtu (struct rtnl_link *link, char *arg)
void | nl_cli_link_parse_ifindex (struct rtnl_link *link, char *arg)
void | nl_cli_link_parse_txqlen (struct rtnl_link *link, char *arg)
void | nl_cli_link_parse_weight (struct rtnl_link *link, char *arg)
void | nl_cli_link_parse_ifalias (struct rtnl_link *link, char *arg)

## Detailed Description

## Function Documentation

## ◆ nl_cli_link_alloc()

struct rtnl_link * nl_cli_link_alloc | ( | void |  | ) |

Definition at line 20 of file link.c.

## ◆ nl_cli_link_alloc_cache_family_flags()

struct nl_cache * nl_cli_link_alloc_cache_family_flags | ( | struct nl_sock * | sock,
|  | int | family,
|  | unsigned int | flags )

Definition at line 31 of file link.c.

## ◆ nl_cli_link_alloc_cache_family()

struct nl_cache * nl_cli_link_alloc_cache_family | ( | struct nl_sock * | sock,
|  | int | family )

Definition at line 47 of file link.c.

## ◆ nl_cli_link_alloc_cache()

struct nl_cache * nl_cli_link_alloc_cache | ( | struct nl_sock * | sock | ) |

Definition at line 52 of file link.c.

## ◆ nl_cli_link_alloc_cache_flags()

struct nl_cache * nl_cli_link_alloc_cache_flags | ( | struct nl_sock * | sock,
|  | unsigned int | flags )

Definition at line 57 of file link.c.

## ◆ nl_cli_link_parse_family()

void nl_cli_link_parse_family | ( | struct rtnl_link * | link,
|  | char * | arg )

Definition at line 63 of file link.c.

## ◆ nl_cli_link_parse_name()

void nl_cli_link_parse_name | ( | struct rtnl_link * | link,
|  | char * | arg )

Definition at line 74 of file link.c.

## ◆ nl_cli_link_parse_mtu()

void nl_cli_link_parse_mtu | ( | struct rtnl_link * | link,
|  | char * | arg )

Definition at line 79 of file link.c.

## ◆ nl_cli_link_parse_ifindex()

void nl_cli_link_parse_ifindex | ( | struct rtnl_link * | link,
|  | char * | arg )

Definition at line 85 of file link.c.

## ◆ nl_cli_link_parse_txqlen()

void nl_cli_link_parse_txqlen | ( | struct rtnl_link * | link,
|  | char * | arg )

Definition at line 91 of file link.c.

## ◆ nl_cli_link_parse_weight()

void nl_cli_link_parse_weight | ( | struct rtnl_link * | link,
|  | char * | arg )

Definition at line 97 of file link.c.

## ◆ nl_cli_link_parse_ifalias()

void nl_cli_link_parse_ifalias | ( | struct rtnl_link * | link,
|  | char * | arg )

Definition at line 101 of file link.c.